LSBLK(8)

NAZWA
lsblk - wypisuje urządzenia blokowe

SKŁADNIA
lsblk [opcje]

lsblk [opcje] urządzenie...

OPIS
lsblk wypisuje informacje o wszystkich lub podanych urządzeniach blokowych. Polecenie lsblk odczytuje system plików sysfs w celu zebrania informacji.

Domyślnie polecenie wypisuje informacje o wszystkich urządzeniach (z wyjątkiem dysków RAM) w formacie przypominającym drzewo. Za pomocą lsblk --help można uzyskać listę dostępnych kolumn.

OPCJE

-a, --all
    Wypisuje wszystkie urządzenia blokowe.

-b, --bytes
    Wypisuje kolumnę SIZE w bajtach zamiast w formacie czytelnym dla ludzi.

-d, --nodeps
    Nie wypisuje urządzeń nadrzędnych ani podrzędnych. Przykładowo "lsblk --nodeps /dev/sda" wypisze informacje tylko o urządzeniu sda.

-D, --discard
    Wypisuje informacje o funkcjach "discard" (TRIM, UNMAP) przy każdym urządzeniu.

-e, --exclude lista
    Pomija urządzenia podane w liście urządzeń określonych głównymi numerami urządzeń i oddzielonych przecinkami. Domyślnie pomijane są dyski RAM (główny numer urządzenia równy 1).

-f, --fs
    Wypisuje informacje o systemach plików. Jest to odpowiednik "-o NAME,FSTYPE,LABEL,MOUNTPOINT". Pełne informacje o systemach plików i macierzach RAID są udostępniane przez polecenie blkid(8).

-h, --help
    Wyświetla pomoc i wychodzi.

-i, --ascii
    Do formatowania drzewa używa znaków ASCII.

-m, --perms
    Wypisuje informacje o posiadaczu, grupie i trybie urządzenia. Jest to odpowiednik "-o NAME,SIZE,OWNER,GROUP,MODE".

-l, --list
    Używa formatu listy.

-n, --noheadings
    Nie wypisuje nagłówka.

-o, --output lista
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

-P, --pairs
    Używa formatu klucz="wartość".

-r, --raw
    Używa "surowego" formatu.

-t, --topology
    Wypisuje informacje o topologii urządzeń blokowych. Jest to odpowiednik "-o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED".

UWAGI
W przypadku partycji część informacji (np. atrybuty kolejki) jest dziedziczona z urządzenia nadrzędnego.

AUTORZY
Milan Broz <mbroz@redhat.com>
Karel Zak <kzak@redhat.com>

ZOBACZ TAKŻE
findmnt(8), blkid(8), ls(1)

DOSTĘPNOŚĆ
Polecenie lsblk jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.20.1 oryginału.